/* static open/close IO routines used some places */

#include "io_cpu.h"

static int OpenIO()
{
#if !defined __OS2__		// added by A. Buchinger
	if (iopl_counter == 0) {
		if (SET_IOPL() < 0)
			return -1;
	}
	++iopl_counter;
#endif	
	return 0;
}

static void CloseIO()
{
#if !defined __OS2__		// added by A. Buchinger
	if (iopl_counter == 1)
		RESET_IOPL();
	if (iopl_counter > 0)
		--iopl_counter;
#endif	
}


